package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class DtbDoct {

    public static final String ENTITY = "dtb_doct";

    private String codAnag;
    private String codDtip;
    private Date dataDoc;
    private Integer numDoc;
    private String serDoc;
    private BigDecimal acconto;
    private String activityId;
    private String annotazioni;
    private String aspettoBeni;
    private BigDecimal cambio;
    private String causaleTrasp;
    private String codAbi;
    private String codAuto;
    private String codBanc;
    private String codBancAzi;
    private String codCab;
    private String codDivi;
    private String codDtipVal;
    private String codFornTd;
    private String codJcom;
    private String codJfas;
    private String codMdep;
    private String codPaga;
    private String codProd;
    private String codVage;
    private String codVage2;
    private String codVdes;
    private String codVvet;
    private String codVvet2;
    private String codVzon;
    private String compilatoDa;
    private String userName;
    private String controllatoDa;
    private Date dataChkDoc;
    private Date dataDocVal;
    private Date dataInizTrasp;
    private Date dataIns;
    private Date dataOrd;
    private Date dataReg;
    private Date dataRifScad;
    private Date dataUltMod;
    private String descrizionePaga;
    private String flagPrzScontati;
    private String gestione;
    private Integer kmPercorsi;
    private String listino;
    private String mezzo;
    private String modificatoDa;
    private BigDecimal nettoMerce;
    private Integer numCmov;
    private String numColli;
    private Integer numDocVal;
    private Integer numOrd;
    private String numVettura;
    private String oraInizTrasp;
    private String partitaMag;
    private String peso;
    private String porto;
    private String previstaFat;
    private BigDecimal qtaProd;
    private BigDecimal rapConvProd;
    private String rifOrd;
    private BigDecimal sconto1;
    private BigDecimal sconto2;
    private BigDecimal sconto3;
    private BigDecimal sconto4;
    private String serDocVal;
    private String termCons;
    private String tipoAnag;
    private BigDecimal totImponib;
    private BigDecimal totIva;
    private BigDecimal totMerce;
    private BigDecimal totOmaggi;
    private BigDecimal totProvvig;
    private String untMisProd;
    private String idViaggio;
    private String numDocForn;
    private String generaMovCont;
    private String targa;
    private Integer postiPallet;
    private BigDecimal tempMedia;
    private Date dataCons;
    private BigDecimal nolo;
    private BigDecimal nolo2;
    private String conducente;
    private String iban;
    private String mrn;
    private String explodeKit;
    private String flagPrzIva;
    private String flagCheckPlafond;
    private String tipoEmissione;
    private String setDataDecorrenza2DataRic;
    private BigDecimal totSpese;
    private String chkArtListino;
    private Date dataCmov;
    private String reso;
    private Integer numCmovAutofattura;
    private Object dtbTipi;
    private Object vtbClie;
    private List<Object> jrlSchmacDoc;
    private List<Object> arlSchaccDoc;
    private List<DtbDocr> dtbDocr;
    private List<Object> dtbDocs;
    private List<MtbColt> mtbColt;
    private List<Object> drlDocAttached;
    private List<Object> dtbDocCarat;
    private List<Object> ctbScad;
    private Object ctbMovt;
    private List<Object> ctbMovi;
    private List<Object> costi;
    private List<Object> ntbDoct;
    private List<DtbDoct> dtbDoctBolle;
    private Object dtbInum;


    public String getCodAnag() {
        return codAnag;
    }

    public DtbDoct setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public DtbDoct setCodDtip(String codDtip) {
        this.codDtip = codDtip;
        return this;
    }

    public Date getDataDoc() {
        return dataDoc;
    }

    public DtbDoct setDataDoc(Date dataDoc) {
        this.dataDoc = dataDoc;
        return this;
    }

    public Integer getNumDoc() {
        return numDoc;
    }

    public DtbDoct setNumDoc(Integer numDoc) {
        this.numDoc = numDoc;
        return this;
    }

    public String getSerDoc() {
        return serDoc;
    }

    public DtbDoct setSerDoc(String serDoc) {
        this.serDoc = serDoc;
        return this;
    }

    public BigDecimal getAcconto() {
        return acconto;
    }

    public DtbDoct setAcconto(BigDecimal acconto) {
        this.acconto = acconto;
        return this;
    }

    public String getActivityId() {
        return activityId;
    }

    public DtbDoct setActivityId(String activityId) {
        this.activityId = activityId;
        return this;
    }

    public String getAnnotazioni() {
        return annotazioni;
    }

    public DtbDoct setAnnotazioni(String annotazioni) {
        this.annotazioni = annotazioni;
        return this;
    }

    public String getAspettoBeni() {
        return aspettoBeni;
    }

    public DtbDoct setAspettoBeni(String aspettoBeni) {
        this.aspettoBeni = aspettoBeni;
        return this;
    }

    public BigDecimal getCambio() {
        return cambio;
    }

    public DtbDoct setCambio(BigDecimal cambio) {
        this.cambio = cambio;
        return this;
    }

    public String getCausaleTrasp() {
        return causaleTrasp;
    }

    public DtbDoct setCausaleTrasp(String causaleTrasp) {
        this.causaleTrasp = causaleTrasp;
        return this;
    }

    public String getCodAbi() {
        return codAbi;
    }

    public DtbDoct setCodAbi(String codAbi) {
        this.codAbi = codAbi;
        return this;
    }

    public String getCodAuto() {
        return codAuto;
    }

    public DtbDoct setCodAuto(String codAuto) {
        this.codAuto = codAuto;
        return this;
    }

    public String getCodBanc() {
        return codBanc;
    }

    public DtbDoct setCodBanc(String codBanc) {
        this.codBanc = codBanc;
        return this;
    }

    public String getCodBancAzi() {
        return codBancAzi;
    }

    public DtbDoct setCodBancAzi(String codBancAzi) {
        this.codBancAzi = codBancAzi;
        return this;
    }

    public String getCodCab() {
        return codCab;
    }

    public DtbDoct setCodCab(String codCab) {
        this.codCab = codCab;
        return this;
    }

    public String getCodDivi() {
        return codDivi;
    }

    public DtbDoct setCodDivi(String codDivi) {
        this.codDivi = codDivi;
        return this;
    }

    public String getCodDtipVal() {
        return codDtipVal;
    }

    public DtbDoct setCodDtipVal(String codDtipVal) {
        this.codDtipVal = codDtipVal;
        return this;
    }

    public String getCodFornTd() {
        return codFornTd;
    }

    public DtbDoct setCodFornTd(String codFornTd) {
        this.codFornTd = codFornTd;
        return this;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public DtbDoct setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public DtbDoct setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public DtbDoct setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getCodPaga() {
        return codPaga;
    }

    public DtbDoct setCodPaga(String codPaga) {
        this.codPaga = codPaga;
        return this;
    }

    public String getCodProd() {
        return codProd;
    }

    public DtbDoct setCodProd(String codProd) {
        this.codProd = codProd;
        return this;
    }

    public String getCodVage() {
        return codVage;
    }

    public DtbDoct setCodVage(String codVage) {
        this.codVage = codVage;
        return this;
    }

    public String getCodVage2() {
        return codVage2;
    }

    public DtbDoct setCodVage2(String codVage2) {
        this.codVage2 = codVage2;
        return this;
    }

    public String getCodVdes() {
        return codVdes;
    }

    public DtbDoct setCodVdes(String codVdes) {
        this.codVdes = codVdes;
        return this;
    }

    public String getCodVvet() {
        return codVvet;
    }

    public DtbDoct setCodVvet(String codVvet) {
        this.codVvet = codVvet;
        return this;
    }

    public String getCodVvet2() {
        return codVvet2;
    }

    public DtbDoct setCodVvet2(String codVvet2) {
        this.codVvet2 = codVvet2;
        return this;
    }

    public String getCodVzon() {
        return codVzon;
    }

    public DtbDoct setCodVzon(String codVzon) {
        this.codVzon = codVzon;
        return this;
    }

    public String getCompilatoDa() {
        return compilatoDa;
    }

    public DtbDoct setCompilatoDa(String compilatoDa) {
        this.compilatoDa = compilatoDa;
        return this;
    }

    public String getUserName() {
        return userName;
    }

    public DtbDoct setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getControllatoDa() {
        return controllatoDa;
    }

    public DtbDoct setControllatoDa(String controllatoDa) {
        this.controllatoDa = controllatoDa;
        return this;
    }

    public Date getDataChkDoc() {
        return dataChkDoc;
    }

    public DtbDoct setDataChkDoc(Date dataChkDoc) {
        this.dataChkDoc = dataChkDoc;
        return this;
    }

    public Date getDataDocVal() {
        return dataDocVal;
    }

    public DtbDoct setDataDocVal(Date dataDocVal) {
        this.dataDocVal = dataDocVal;
        return this;
    }

    public Date getDataInizTrasp() {
        return dataInizTrasp;
    }

    public DtbDoct setDataInizTrasp(Date dataInizTrasp) {
        this.dataInizTrasp = dataInizTrasp;
        return this;
    }

    public Date getDataIns() {
        return dataIns;
    }

    public DtbDoct setDataIns(Date dataIns) {
        this.dataIns = dataIns;
        return this;
    }

    public Date getDataOrd() {
        return dataOrd;
    }

    public DtbDoct setDataOrd(Date dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public Date getDataReg() {
        return dataReg;
    }

    public DtbDoct setDataReg(Date dataReg) {
        this.dataReg = dataReg;
        return this;
    }

    public Date getDataRifScad() {
        return dataRifScad;
    }

    public DtbDoct setDataRifScad(Date dataRifScad) {
        this.dataRifScad = dataRifScad;
        return this;
    }

    public Date getDataUltMod() {
        return dataUltMod;
    }

    public DtbDoct setDataUltMod(Date dataUltMod) {
        this.dataUltMod = dataUltMod;
        return this;
    }

    public String getDescrizionePaga() {
        return descrizionePaga;
    }

    public DtbDoct setDescrizionePaga(String descrizionePaga) {
        this.descrizionePaga = descrizionePaga;
        return this;
    }

    public String getFlagPrzScontati() {
        return flagPrzScontati;
    }

    public DtbDoct setFlagPrzScontati(String flagPrzScontati) {
        this.flagPrzScontati = flagPrzScontati;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public DtbDoct setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public Integer getKmPercorsi() {
        return kmPercorsi;
    }

    public DtbDoct setKmPercorsi(Integer kmPercorsi) {
        this.kmPercorsi = kmPercorsi;
        return this;
    }

    public String getListino() {
        return listino;
    }

    public DtbDoct setListino(String listino) {
        this.listino = listino;
        return this;
    }

    public String getMezzo() {
        return mezzo;
    }

    public DtbDoct setMezzo(String mezzo) {
        this.mezzo = mezzo;
        return this;
    }

    public String getModificatoDa() {
        return modificatoDa;
    }

    public DtbDoct setModificatoDa(String modificatoDa) {
        this.modificatoDa = modificatoDa;
        return this;
    }

    public BigDecimal getNettoMerce() {
        return nettoMerce;
    }

    public DtbDoct setNettoMerce(BigDecimal nettoMerce) {
        this.nettoMerce = nettoMerce;
        return this;
    }

    public Integer getNumCmov() {
        return numCmov;
    }

    public DtbDoct setNumCmov(Integer numCmov) {
        this.numCmov = numCmov;
        return this;
    }

    public String getNumColli() {
        return numColli;
    }

    public DtbDoct setNumColli(String numColli) {
        this.numColli = numColli;
        return this;
    }

    public Integer getNumDocVal() {
        return numDocVal;
    }

    public DtbDoct setNumDocVal(Integer numDocVal) {
        this.numDocVal = numDocVal;
        return this;
    }

    public Integer getNumOrd() {
        return numOrd;
    }

    public DtbDoct setNumOrd(Integer numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public String getNumVettura() {
        return numVettura;
    }

    public DtbDoct setNumVettura(String numVettura) {
        this.numVettura = numVettura;
        return this;
    }

    public String getOraInizTrasp() {
        return oraInizTrasp;
    }

    public DtbDoct setOraInizTrasp(String oraInizTrasp) {
        this.oraInizTrasp = oraInizTrasp;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public DtbDoct setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public String getPeso() {
        return peso;
    }

    public DtbDoct setPeso(String peso) {
        this.peso = peso;
        return this;
    }

    public String getPorto() {
        return porto;
    }

    public DtbDoct setPorto(String porto) {
        this.porto = porto;
        return this;
    }

    public String getPrevistaFat() {
        return previstaFat;
    }

    public DtbDoct setPrevistaFat(String previstaFat) {
        this.previstaFat = previstaFat;
        return this;
    }

    public BigDecimal getQtaProd() {
        return qtaProd;
    }

    public DtbDoct setQtaProd(BigDecimal qtaProd) {
        this.qtaProd = qtaProd;
        return this;
    }

    public BigDecimal getRapConvProd() {
        return rapConvProd;
    }

    public DtbDoct setRapConvProd(BigDecimal rapConvProd) {
        this.rapConvProd = rapConvProd;
        return this;
    }

    public String getRifOrd() {
        return rifOrd;
    }

    public DtbDoct setRifOrd(String rifOrd) {
        this.rifOrd = rifOrd;
        return this;
    }

    public BigDecimal getSconto1() {
        return sconto1;
    }

    public DtbDoct setSconto1(BigDecimal sconto1) {
        this.sconto1 = sconto1;
        return this;
    }

    public BigDecimal getSconto2() {
        return sconto2;
    }

    public DtbDoct setSconto2(BigDecimal sconto2) {
        this.sconto2 = sconto2;
        return this;
    }

    public BigDecimal getSconto3() {
        return sconto3;
    }

    public DtbDoct setSconto3(BigDecimal sconto3) {
        this.sconto3 = sconto3;
        return this;
    }

    public BigDecimal getSconto4() {
        return sconto4;
    }

    public DtbDoct setSconto4(BigDecimal sconto4) {
        this.sconto4 = sconto4;
        return this;
    }

    public String getSerDocVal() {
        return serDocVal;
    }

    public DtbDoct setSerDocVal(String serDocVal) {
        this.serDocVal = serDocVal;
        return this;
    }

    public String getTermCons() {
        return termCons;
    }

    public DtbDoct setTermCons(String termCons) {
        this.termCons = termCons;
        return this;
    }

    public String getTipoAnag() {
        return tipoAnag;
    }

    public DtbDoct setTipoAnag(String tipoAnag) {
        this.tipoAnag = tipoAnag;
        return this;
    }

    public BigDecimal getTotImponib() {
        return totImponib;
    }

    public DtbDoct setTotImponib(BigDecimal totImponib) {
        this.totImponib = totImponib;
        return this;
    }

    public BigDecimal getTotIva() {
        return totIva;
    }

    public DtbDoct setTotIva(BigDecimal totIva) {
        this.totIva = totIva;
        return this;
    }

    public BigDecimal getTotMerce() {
        return totMerce;
    }

    public DtbDoct setTotMerce(BigDecimal totMerce) {
        this.totMerce = totMerce;
        return this;
    }

    public BigDecimal getTotOmaggi() {
        return totOmaggi;
    }

    public DtbDoct setTotOmaggi(BigDecimal totOmaggi) {
        this.totOmaggi = totOmaggi;
        return this;
    }

    public BigDecimal getTotProvvig() {
        return totProvvig;
    }

    public DtbDoct setTotProvvig(BigDecimal totProvvig) {
        this.totProvvig = totProvvig;
        return this;
    }

    public String getUntMisProd() {
        return untMisProd;
    }

    public DtbDoct setUntMisProd(String untMisProd) {
        this.untMisProd = untMisProd;
        return this;
    }

    public String getIdViaggio() {
        return idViaggio;
    }

    public DtbDoct setIdViaggio(String idViaggio) {
        this.idViaggio = idViaggio;
        return this;
    }

    public String getNumDocForn() {
        return numDocForn;
    }

    public DtbDoct setNumDocForn(String numDocForn) {
        this.numDocForn = numDocForn;
        return this;
    }

    public String getGeneraMovCont() {
        return generaMovCont;
    }

    public DtbDoct setGeneraMovCont(String generaMovCont) {
        this.generaMovCont = generaMovCont;
        return this;
    }

    public String getTarga() {
        return targa;
    }

    public DtbDoct setTarga(String targa) {
        this.targa = targa;
        return this;
    }

    public Integer getPostiPallet() {
        return postiPallet;
    }

    public DtbDoct setPostiPallet(Integer postiPallet) {
        this.postiPallet = postiPallet;
        return this;
    }

    public BigDecimal getTempMedia() {
        return tempMedia;
    }

    public DtbDoct setTempMedia(BigDecimal tempMedia) {
        this.tempMedia = tempMedia;
        return this;
    }

    public Date getDataCons() {
        return dataCons;
    }

    public DtbDoct setDataCons(Date dataCons) {
        this.dataCons = dataCons;
        return this;
    }

    public BigDecimal getNolo() {
        return nolo;
    }

    public DtbDoct setNolo(BigDecimal nolo) {
        this.nolo = nolo;
        return this;
    }

    public BigDecimal getNolo2() {
        return nolo2;
    }

    public DtbDoct setNolo2(BigDecimal nolo2) {
        this.nolo2 = nolo2;
        return this;
    }

    public String getConducente() {
        return conducente;
    }

    public DtbDoct setConducente(String conducente) {
        this.conducente = conducente;
        return this;
    }

    public String getIban() {
        return iban;
    }

    public DtbDoct setIban(String iban) {
        this.iban = iban;
        return this;
    }

    public String getMrn() {
        return mrn;
    }

    public DtbDoct setMrn(String mrn) {
        this.mrn = mrn;
        return this;
    }

    public String getExplodeKit() {
        return explodeKit;
    }

    public DtbDoct setExplodeKit(String explodeKit) {
        this.explodeKit = explodeKit;
        return this;
    }

    public String getFlagPrzIva() {
        return flagPrzIva;
    }

    public DtbDoct setFlagPrzIva(String flagPrzIva) {
        this.flagPrzIva = flagPrzIva;
        return this;
    }

    public String getFlagCheckPlafond() {
        return flagCheckPlafond;
    }

    public DtbDoct setFlagCheckPlafond(String flagCheckPlafond) {
        this.flagCheckPlafond = flagCheckPlafond;
        return this;
    }

    public String getTipoEmissione() {
        return tipoEmissione;
    }

    public DtbDoct setTipoEmissione(String tipoEmissione) {
        this.tipoEmissione = tipoEmissione;
        return this;
    }

    public String getSetDataDecorrenza2DataRic() {
        return setDataDecorrenza2DataRic;
    }

    public DtbDoct setSetDataDecorrenza2DataRic(String setDataDecorrenza2DataRic) {
        this.setDataDecorrenza2DataRic = setDataDecorrenza2DataRic;
        return this;
    }

    public BigDecimal getTotSpese() {
        return totSpese;
    }

    public DtbDoct setTotSpese(BigDecimal totSpese) {
        this.totSpese = totSpese;
        return this;
    }

    public String getChkArtListino() {
        return chkArtListino;
    }

    public DtbDoct setChkArtListino(String chkArtListino) {
        this.chkArtListino = chkArtListino;
        return this;
    }

    public Date getDataCmov() {
        return dataCmov;
    }

    public DtbDoct setDataCmov(Date dataCmov) {
        this.dataCmov = dataCmov;
        return this;
    }

    public String getReso() {
        return reso;
    }

    public DtbDoct setReso(String reso) {
        this.reso = reso;
        return this;
    }

    public Integer getNumCmovAutofattura() {
        return numCmovAutofattura;
    }

    public DtbDoct setNumCmovAutofattura(Integer numCmovAutofattura) {
        this.numCmovAutofattura = numCmovAutofattura;
        return this;
    }

    public Object getDtbTipi() {
        return dtbTipi;
    }

    public DtbDoct setDtbTipi(Object dtbTipi) {
        this.dtbTipi = dtbTipi;
        return this;
    }

    public Object getVtbClie() {
        return vtbClie;
    }

    public DtbDoct setVtbClie(Object vtbClie) {
        this.vtbClie = vtbClie;
        return this;
    }

    public List<Object> getJrlSchmacDoc() {
        return jrlSchmacDoc;
    }

    public DtbDoct setJrlSchmacDoc(List<Object> jrlSchmacDoc) {
        this.jrlSchmacDoc = jrlSchmacDoc;
        return this;
    }

    public List<Object> getArlSchaccDoc() {
        return arlSchaccDoc;
    }

    public DtbDoct setArlSchaccDoc(List<Object> arlSchaccDoc) {
        this.arlSchaccDoc = arlSchaccDoc;
        return this;
    }

    public List<DtbDocr> getDtbDocr() {
        return dtbDocr;
    }

    public DtbDoct setDtbDocr(List<DtbDocr> dtbDocr) {
        this.dtbDocr = dtbDocr;
        return this;
    }

    public List<Object> getDtbDocs() {
        return dtbDocs;
    }

    public DtbDoct setDtbDocs(List<Object> dtbDocs) {
        this.dtbDocs = dtbDocs;
        return this;
    }

    public List<MtbColt> getMtbColt() {
        return mtbColt;
    }

    public DtbDoct setMtbColt(List<MtbColt> mtbColt) {
        this.mtbColt = mtbColt;
        return this;
    }

    public List<Object> getDrlDocAttached() {
        return drlDocAttached;
    }

    public DtbDoct setDrlDocAttached(List<Object> drlDocAttached) {
        this.drlDocAttached = drlDocAttached;
        return this;
    }

    public List<Object> getDtbDocCarat() {
        return dtbDocCarat;
    }

    public DtbDoct setDtbDocCarat(List<Object> dtbDocCarat) {
        this.dtbDocCarat = dtbDocCarat;
        return this;
    }

    public List<Object> getCtbScad() {
        return ctbScad;
    }

    public DtbDoct setCtbScad(List<Object> ctbScad) {
        this.ctbScad = ctbScad;
        return this;
    }

    public Object getCtbMovt() {
        return ctbMovt;
    }

    public DtbDoct setCtbMovt(Object ctbMovt) {
        this.ctbMovt = ctbMovt;
        return this;
    }

    public List<Object> getCtbMovi() {
        return ctbMovi;
    }

    public DtbDoct setCtbMovi(List<Object> ctbMovi) {
        this.ctbMovi = ctbMovi;
        return this;
    }

    public List<Object> getCosti() {
        return costi;
    }

    public DtbDoct setCosti(List<Object> costi) {
        this.costi = costi;
        return this;
    }

    public List<Object> getNtbDoct() {
        return ntbDoct;
    }

    public DtbDoct setNtbDoct(List<Object> ntbDoct) {
        this.ntbDoct = ntbDoct;
        return this;
    }

    public List<DtbDoct> getDtbDoctBolle() {
        return dtbDoctBolle;
    }

    public DtbDoct setDtbDoctBolle(List<DtbDoct> dtbDoctBolle) {
        this.dtbDoctBolle = dtbDoctBolle;
        return this;
    }

    public Object getDtbInum() {
        return dtbInum;
    }

    public DtbDoct setDtbInum(Object dtbInum) {
        this.dtbInum = dtbInum;
        return this;
    }
}
